## json4s 3.5.1+really3.2.10

=== debian/changelog ===
json4s (3.5.1+really3.2.10-1) unstable; urgency=medium

  * Team upload.
  * Reverted to the version 3.2.10 expected by SBT 0.13.x

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 14 Nov 2018 18:31:48 +0100

json4s (3.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Upload to unstable
  * No longer build with the embedded SBT with Scala 2.10 (Closes: #893453)
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Added the missing Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 13 Nov 2018 08:49:42 +0100

json4s (3.5.0-1) experimental; urgency=medium

  * Initial release. (Closes: #855306)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Wed, 24 May 2017 16:23:52 +0200
