=== debian/control ===
Source: json4s
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 javahelper,
#libjackson2-databind-java,
 libparanamer-java,
 maven-repo-helper,
 scala
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/json4s.git
Vcs-Browser: https://salsa.debian.org/java-team/json4s
Homepage: https://github.com/json4s/json4s

Package: libjson4s-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libparanamer-java
Recommends: ${java:Recommends}
Description: Single AST to be used by other scala json libraries
 This project aims to provide a single AST to be used by other scala json
 libraries. This project also attempts to set lift-json free from the release
 schedule imposed by the lift framework.
