=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SCALA_VERSION=$(shell scala -version 2>&1 | cut -f 5 -d ' ')
SCALA_MAJOR=$(shell scala -version 2>&1 | cut -f 5 -d ' ' | cut -f 1 -d '.')
SCALA_MINOR=$(shell scala -version 2>&1 | cut -f 5 -d ' ' | cut -f 2 -d '.')
SCALA_BINARY_VERSION=$(SCALA_MAJOR).$(SCALA_MINOR)

%:
	dh $@ --with javahelper --with maven-repo-helper

override_dh_auto_build:
	# ast
	mkdir -p ast/target/classes
	scalac -d ast/target/classes $(shell find ast/src/main/scala -name *.scala)
	jar cf ast/target/json4s-ast.jar -C ast/target/classes .

	# scalap
	#mkdir -p scalap/target/classes
	#scalac -d scalap/target/classes $(shell find scalap/src/main/scala -name *.scala)
	#jar cf scalap/target/json4s-scalap.jar -C scalap/target/classes .

	# core
	mkdir -p core/target/classes
	scalac -d core/target/classes -cp ast/target/json4s-ast.jar:scalap/target/json4s-scalap.jar:/usr/share/java/paranamer.jar $(shell find core/src/main/scala -name *.scala) $(shell find core/src/main/scala -name *.java)
	jar cf core/target/json4s-core.jar -C core/target/classes .

	# jackson (requires buildinfo plugin)
	#mkdir -p jackson/target/classes
	#scalac -d jackson/target/classes -cp ast/target/json4s-ast.jar:core/target/json4s-core.jar:/usr/share/java/jackson-core.jar:/usr/share/java/jackson-databind.jar $(shell find jackson/src/main/scala -name *.scala)
	#jar cf jackson/target/json4s-core.jar -C jackson/target/classes .

	# native
	mkdir -p native/target/classes
	scalac -d native/target/classes -cp ast/target/json4s-ast.jar:core/target/json4s-core.jar $(shell find native/src/main/scala -name *.scala)
	jar cf native/target/json4s-native.jar -C native/target/classes .

	# scalaz (requires org.scalaz:scalaz-core)
	#mkdir -p scalaz/target/classes
	#scalac -d scalaz/target/classes -cp ast/target/json4s-ast.jar:core/target/json4s-core.jar:native/target/json4s-native.jar $(shell find scalaz/src/main/scala -name *.scala)
	#jar cf scalaz/target/json4s-scalaz.jar -C scalaz/target/classes .


get-orig-poms:
	for MODULE in ast core jackson native scalap scalaz; do \
	    wget https://repo1.maven.org/maven2/org/json4s/json4s-$${MODULE}_$(SCALA_BINARY_VERSION)/$(DEB_VERSION_UPSTREAM)/json4s-$${MODULE}_$(SCALA_BINARY_VERSION)-$(DEB_VERSION_UPSTREAM).pom -O debian/poms/json4s-$${MODULE}.pom; \
	done
